compose_metadata:
  config-hash: 2b1259d2fbda63733d94abcbb13b1d74114656d0c3ff2142f688016c664ca5d2
  container-number: '1'
  depends_on: ''
  image: sha256:f5883d6d765bd5a7ac36bf0baff3e8a9fadc497e15cdf7716dad34e8e3d3e9a3
  oneoff: 'False'
  project: monitoring
  project.config_files: /home/jon/homelab/monitoring/docker-compose.yml
  project.working_dir: /home/jon/homelab/monitoring
  service: code-server
  version: 2.33.0
container_id: cc6d5deba4296f7a3f32543ef3e495a86d4e350f8499454a2302d0913554897b
created: '2025-06-09T16:21:36.411977994Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  HOME: /config
  LANG: en_US.UTF-8
  LANGUAGE: en_US.UTF-8
  LSIO_FIRST_PARTY: 'true'
  PASSWORD: '***SENSITIVE_VALUE*** (home...)'
  PATH: /lsiopy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  PGID: '1000'
  PUID: '1000'
  S6_CMD_WAIT_FOR_SERVICES_MAXTIME: '0'
  S6_STAGE2_HOOK: /docker-mods
  S6_VERBOSITY: '1'
  SUDO_PASSWORD: '***SENSITIVE_VALUE*** (home...)'
  TERM: xterm
  TZ: America/New_York
  VIRTUAL_ENV: /lsiopy
execution:
  cmd: null
  entrypoint:
  - /init
  stop_signal: null
  user: ''
  working_dir: /
host_system: audrey_20250824
image:
  platform: linux
  sha: sha256:f5883d6d765bd5a7ac36bf0baff3e8a9fadc497e15cdf7716dad34e8e3d3e9a3
  tag: lscr.io/linuxserver/code-server:latest
labels:
  build_version: Linuxserver.io version:- 4.100.3-ls279 Build-date:- 2025-06-07T20:23:42+00:00
  com.docker.compose.config-hash: 2b1259d2fbda63733d94abcbb13b1d74114656d0c3ff2142f688016c664ca5d2
  com.docker.compose.container-number: '1'
  com.docker.compose.depends_on: ''
  com.docker.compose.image: sha256:f5883d6d765bd5a7ac36bf0baff3e8a9fadc497e15cdf7716dad34e8e3d3e9a3
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: monitoring
  com.docker.compose.project.config_files: /home/jon/homelab/monitoring/docker-compose.yml
  com.docker.compose.project.working_dir: /home/jon/homelab/monitoring
  com.docker.compose.service: code-server
  com.docker.compose.version: 2.33.0
  maintainer: aptalca
  org.opencontainers.image.authors: linuxserver.io
  org.opencontainers.image.created: '2025-06-07T20:23:42+00:00'
  org.opencontainers.image.description: '[Code-server](https://coder.com) is VS Code
    running on a remote server, accessible through the browser.  - Code on your Chromebook,
    tablet, and laptop with a consistent dev environment.  - If you have a Windows
    or Mac workstation, more easily develop for Linux.  - Take advantage of large
    cloud servers to speed up tests, compilations, downloads, and more.  - Preserve
    battery life when you''re on the go.  - All intensive computation runs on your
    server.  - You''re no longer running excess instances of Chrome.  '
  org.opencontainers.image.documentation: https://docs.linuxserver.io/images/docker-code-server
  org.opencontainers.image.licenses: GPL-3.0-only
  org.opencontainers.image.ref.name: 87f961f038b6213392fa7d06116c797851d60684
  org.opencontainers.image.revision: 87f961f038b6213392fa7d06116c797851d60684
  org.opencontainers.image.source: https://github.com/linuxserver/docker-code-server
  org.opencontainers.image.title: Code-server
  org.opencontainers.image.url: https://github.com/linuxserver/docker-code-server/packages
  org.opencontainers.image.vendor: linuxserver.io
  org.opencontainers.image.version: 4.100.3-ls279
name: code-server
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: []
  links: null
  networks:
    monitoring-net:
      aliases:
      - code-server
      - code-server
      dns_names:
      - code-server
      - cc6d5deba429
      endpoint_id: 9e662ad47e2733cacb534f82b5a62da78055756f1648765e2b8ffcd435e153fe
      gateway: 172.18.0.1
      global_ipv6_address: ''
      ip_address: 172.18.0.3
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: 02:42:ac:12:00:03
      network_id: a8c08ace4629b810b1aef26214f36a44d41aa3e2dcc2a7f2df87da87cd118a05
  publish_all_ports: false
ports:
  bindings:
    8443/tcp:
    - host_ip: ''
      host_port: '8443'
  exposed:
  - 8443/tcp
  published:
    8443/tcp:
    - host_ip: 0.0.0.0
      host_port: '8443'
    - host_ip: '::'
      host_port: '8443'
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 1073741824
    oom_kill_disable: null
    reservation: 0
    swap: 2147483648
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits:
  - Hard: 2048
    Name: nofile
    Soft: 1024
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: monitoring-net
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: unless-stopped
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop: null
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt: null
source_file: tmp/system_audit_audrey_20250824_022721/discovery/2_services/container_code-server.json
volumes:
  bind_strings:
  - /home/jon/homelab/monitoring/code-server/config:/config:rw
  - /home/jon/homelab/monitoring/projects:/config/workspace:rw
  - /var/run/docker.sock:/var/run/docker.sock:ro
  detailed_mounts:
  - destination: /config/workspace
    driver: null
    mode: rw
    name: null
    propagation: rprivate
    rw: true
    source: /home/jon/homelab/monitoring/projects
    type: bind
  - destination: /var/run/docker.sock
    driver: null
    mode: ro
    name: null
    propagation: rprivate
    rw: false
    source: /var/run/docker.sock
    type: bind
  - destination: /config
    driver: null
    mode: rw
    name: null
    propagation: rprivate
    rw: true
    source: /home/jon/homelab/monitoring/code-server/config
    type: bind
